sfomuseum.collection.objects.searchAggregations
Description
Return the aggregated properties for objects in the SFO Museum collection matching search criteria. Try this method in the API Explorer.
HTTP Request method
GET
Arguments
- access_token (
string) — A valid OAuth2 access token (required) - format (
string) — The format in which to return the data. Supported formats are json, jsonp. The default format is json. - q (
string) — Query for this value across all fields. (required) - mode (
string) — Signal whether to search for the exact phrase in a query string or any/all of the words contained in the phrase. Valid options are: string, phrase - operator (
string) — The operation mode to use when evaluating the query string. Valid options are: AND, OR - creditline (
string) — Limit query results to objects with a valid SFO Museum creditline. - artist (
string) — Limit query results to objects associated with a known SFO Museum artist or creator. - maker (
string) — Limit query results to objects associated with a known SFO Museum maker (company, producer, etc.) name. - decade (
string) — A YYYY string used to limit query results to objects whose dates fall within a given decade. - start (
string) — A YYYY-MM-DD string used to limit query results to objects whose dates do not preceed this value. - end (
string) — A YYYY-MM-DD string used to limit query results to objects whose dates do to exceed this value. - with_images (
boolean) — Limit query results to objects with images. - without_images (
boolean) — Limit query results to objects that do not have any images. - has_coloring_book (
boolean) — Limit query results to objects that have a "coloring book" PDF file associated with them. - on_view (
boolean) — Limit query results to objects that are currently on view at SFO. - exhibition_id (
int64) — Limit query results to objects that were part of a specific exhibition, identified by its Who's On First (sfomuseum-data-exhibition) ID. - aircraft (
int64) — Limit query results to objects associated with a specific aircraft, identified by its Who's On First (sfomuseum-data-aircraft) ID.. - airline (
int64) — Limit query results to objects associated with a specific airline, identified by its Who's On First (sfomuseum-data-enterprise) ID. - airport (
int64) — Limit query results to objects associated with a specific airport, identified by its Who's On First (sfomuseum-data-whosonfirst) ID. - category (
int64) — Limit query results to objects associated with a specific category, identified by its Who's On First (sfomuseum-data-collection-classifications) ID.. - collection (
int64) — Limit query results to objects associated with a specific (SFO Museum) collection, identified by its Who's On First (sfomuseum-data-collection-classifications) ID. - company (
int64) — Limit query result to objects associated with a specific company, identified by its Who's On First (sfomuseum-data-enterprise) ID. - subcategory (
int64) — Limit query results to objects associated with a specific subcategory, identified by its Who's On First (sfomuseum-data-collection-classifications) ID. - year (
int) — Limit query results to objects whose dates fall within a specific year. - page (
int) — The default is 1. - per_page (
int) — The default is 100 and the maximum is 500.
Errors
In addition to default error codes common to all methods this API method defines the following additional error codes:
900— Failed to parse query901— Search is missing query parameter902— Failed to execute search
Notes
- This API method uses plain pagination. Please consult the pagination documentation for details.
Example request — or take this API method for a spin
curl -X GET 'https://api.sfomuseum.org/rest/?method=sfomuseum.collection.objects.searchAggregations&access_token=<TOKEN>&q=<Q>&mode=<MODE>&operator=<OPERATOR>&creditline=<CREDITLINE>&artist=<ARTIST>&maker=<MAKER>&decade=<DECADE>&start=<START>&end=<END>&with_images=<WITH_IMAGES>&without_images=<WITHOUT_IMAGES>&has_coloring_book=<HAS_COLORING_BOOK>&on_view=<ON_VIEW>&exhibition_id=<EXHIBITION_ID>&aircraft=<AIRCRAFT>&airline=<AIRLINE>&airport=<AIRPORT>&category=<CATEGORY>&collection=<COLLECTION>&company=<COMPANY>&subcategory=<SUBCATEGORY>&year=<YEAR>'